#*************************************************************************
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# 
# Copyright 2008 by Sun Microsystems, Inc.
#
# OpenOffice.org - a multi-platform office productivity suite
#
# $RCSfile: makefile.mk,v $
#
# This file is part of OpenOffice.org.
#
# OpenOffice.org is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# only, as published by the Free Software Foundation.
#
# OpenOffice.org is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License version 3 for more details
# (a copy is included in the LICENSE file that accompanied this code).
#
# You should have received a copy of the GNU Lesser General Public License
# version 3 along with OpenOffice.org.  If not, see
# <http://www.openoffice.org/license.html>
# for a copy of the LGPLv3 License.
#
#*************************************************************************

PRJ=..$/..

PRJNAME=migrationanalysis
TARGET=resources

# --- Settings -----------------------------------------------------

.INCLUDE :	settings.mk

# --- Files --------------------------------------------------------

PAW_DEST:=$(BIN)$/ProAnalysisWizard$/Resources
PAW_RESULT:= $(PAW_DEST)$/results.xlt
PAW_RESULTSRC:= results_paw.xlt

ANALYSIS_DTD:=analysis.dtd
PAW_ANALYSIS_DTD:=$(PAW_DEST)$/analysis.dtd

# --- Targets ------------------------------------------------------

.INCLUDE :	target.mk

ALLTAR : $(PAW_RESULT) $(PAW_ANALYSIS_DTD)

$(PAW_RESULT) : $(PAW_RESULTSRC)
    -$(MKDIRHIER) $(@:d)
    $(COPY) $(PAW_RESULTSRC) $@

$(PAW_ANALYSIS_DTD) : $(ANALYSIS_DTD)
    -$(MKDIRHIER) $(@:d)
    $(COPY) $(ANALYSIS_DTD) $@

